﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace sql_gridview
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindGridViewData();
            }
         Page.Title="ام اس پی سافت آنچه یک برنامه نویس نیاز دارد";
        }
        private void BindGridViewData()
        {
         GridView1.DataSource = EmployeeDataAccessLayer.GetAllEmployees();
            GridView1.DataBind();

        }

        protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "EditRow")
            {
                int rowIndex = ((GridViewRow)((LinkButton)e.CommandSource).NamingContainer).RowIndex;
                GridView1.EditIndex = rowIndex;
                BindGridViewData();
            }
            else if (e.CommandName == "DeleteRow")
            {
                EmployeeDataAccessLayer.DeleteEmployee(Convert.ToInt32(e.CommandArgument));
                BindGridViewData();
            }
            else if (e.CommandName == "CancelUpdate")
            {
                GridView1.EditIndex = -1;
                BindGridViewData();
            }
            else if (e.CommandName == "UpdateRow")
            {
                int rowIndex = ((GridViewRow)((LinkButton)e.CommandSource).NamingContainer).RowIndex;

                int id = Convert.ToInt32(e.CommandArgument);
                string name = ((TextBox)GridView1.Rows[rowIndex].FindControl("TextBox1")).Text;
                string phone = ((TextBox)GridView1.Rows[rowIndex].FindControl("TextBox2")).Text;
                string classname = ((TextBox)GridView1.Rows[rowIndex].FindControl("TextBox3")).Text;

                EmployeeDataAccessLayer.UpdateEmployee(id, name, phone, classname);

                GridView1.EditIndex = -1;
                BindGridViewData();
            }
            else if (e.CommandName == "InsertRow")
            {
                string name = ((TextBox)GridView1.FooterRow.FindControl("txtname")).Text;
                string phone = ((TextBox)GridView1.FooterRow.FindControl("txtphone")).Text;
                string classname = ((TextBox)GridView1.FooterRow.FindControl("txtclass")).Text;

                EmployeeDataAccessLayer.InsertEmployee(name, phone, classname);

                BindGridViewData();
            }
        }
    }
}
